function phi = makephi(coeff,numiter,scalefactor);

% make a scaling function based upon the lowpass filter coefficients.
% we will make numiter iterations 
%recur_filt = sqrt(2)*coeff;
if ~exist('scalefactor');
  scalefactor = 1;
end
recur_filt = scalefactor*coeff;
phi = recur_filt;
for k = 1:numiter
   phi = conv(upsamp(phi),recur_filt);
end



